Installing problem with Ubuntu 20.04/LEMP *SOLVED*

Forum for questions and support relating to the 1.34.x releases only.
Post Reply
RonRN18
Posts: 6
Joined: Tue Aug 13, 2019 1:00 am

Installing problem with Ubuntu 20.04/LEMP *SOLVED*

Post by RonRN18 » Mon May 25, 2020 11:18 pm

I was following the instructions from the Wiki on installing Zoneminder on a LEMP setup. GRANTED, there is a notice stating "While not tested this procedure should work on Ubuntu 19.10 using PHP 7.3 and Ubuntu 20.04 using PHP 7.4", so I made sure that when I got to the point of modifying my "php.ini" file, to go to the correct folder for 7.4 instead of 7.2 and when restarting the service, to change the 2 to a 4. I followed all the other steps verbatim. When I got to the end, I was unable to load the page in a browser, getting a 502 error. I actually started writing this to get help when I *finally* realized my mistake. I'm feeling a little dumb at the moment, so instead of scraping my message, I figured I'd post it... just in case someone is as boneheaded as I was. As I just mentioned, I followed the rest of the steps verbatim. That was my mistake. When I went to create the file "/etc/nginx/zoneminder.conf", I failed to recognize it calling for "php7.2-fpm.sock" and just pasted the content into the file. By changing this to a "php7.4-fpm.sock" and restarting Nginx, all is OK in the world.

Post Reply

Who is online

Users browsing this forum: No registered users and 6 guests